Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeRenderLight Class Reference

the light renderstate class. Methods are pretty self-explanatory More...

`#include <deRenderStates.hpp>`

Inheritance diagram for IdeRenderLight:

[legend]
Collaboration diagram for IdeRenderLight:

[legend]
List of all members.

## Public Types
enum | LightType_t { LIGHTTYPE_INVALID = -1, LIGHTTYPE_POINT = 0, LIGHTTYPE_SPOT, LIGHTTYPE_DIRECTIONAL, LIGHTTYPE_COUNT, LIGHTTYPE_FORCE_32BIT = 0x7FFFFFFF }
## Public Member Functions
virtual IdeRenderState::Type | GetRSType () const=0
virtual deBoolean | SetLightType (LightType_t Type)=0
virtual LightType_t | GetLightType () const=0
virtual deBoolean | SetAmbientColor (deColor *AmbientColor)=0
virtual deBoolean | GetAmbientColor (deColor *AmbientColor) const=0
virtual deBoolean | SetDiffuseColor (deColor *DiffuseColor)=0
virtual deBoolean | GetDiffuseColor (deColor *DiffuseColor) const=0
virtual deBoolean | SetSpecularColor (deColor *SpecularColor)=0
virtual deBoolean | GetSpecularColor (deColor *SpecularColor) const=0
virtual deBoolean | SetPosition (deVertex *Position)=0
virtual deBoolean | GetPosition (deVertex *Position) const=0
virtual deBoolean | SetDirection (deVertex *Direction)=0
virtual deBoolean | GetDirection (deVertex *Direction) const=0
virtual deBoolean | SetRange (float MaxRange)=0
virtual float | GetRange () const=0
virtual deBoolean | SetFallOff (float FallOff)=0
virtual float | GetFallOff () const=0
virtual deBoolean | SetAttenuation (long Number, float Value)=0
virtual float | GetAttenuation (long Number) const=0
virtual deBoolean | SetTheta (float Theta)=0
virtual float | GetTheta () const=0
virtual deBoolean | SetPhi (float Phi)=0
virtual float | GetPhi () const=0
virtual deBoolean | SetID (long Number)=0
virtual long | GetID () const=0
virtual deBoolean | SetStatus (deBoolean On)=0
virtual deBoolean | GetStatus () const=0
virtual const LightData * | GetAllData () const=0
virtual deBoolean | SetAllData (const LightData *Data)=0
## Protected Member Functions
virtual | ~IdeRenderLight ()

## Detailed Description

the light renderstate class. Methods are pretty self-explanatory

## Member Enumeration Documentation

enum IdeRenderLight::LightType_t

  | Enumeration values:
  LIGHTTYPE_INVALID |
  LIGHTTYPE_POINT | A point light - has position only.
  LIGHTTYPE_SPOT | A spotlight - has position and direction.
  LIGHTTYPE_DIRECTIONAL | A directional light - has direction only.
  LIGHTTYPE_COUNT |
  LIGHTTYPE_FORCE_32BIT |

## Constructor & Destructor Documentation

virtual IdeRenderLight::~IdeRenderLight | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const LightData* IdeRenderLight::GetAllData | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::GetAmbientColor | ( | deColor * | AmbientColor | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual float IdeRenderLight::GetAttenuation | ( | long | Number | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::GetDiffuseColor | ( | deColor * | DiffuseColor | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::GetDirection | ( | deVertex * | Direction | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual float IdeRenderLight::GetFallOff | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual long IdeRenderLight::GetID | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual LightType_t IdeRenderLight::GetLightType | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual float IdeRenderLight::GetPhi | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::GetPosition | ( | deVertex * | Position | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual float IdeRenderLight::GetRange | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual IdeRenderState::Type IdeRenderLight::GetRSType | ( |  | ) | const`[pure virtual]`

| Implements IdeRenderState. Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::GetSpecularColor | ( | deColor * | SpecularColor | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::GetStatus | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual float IdeRenderLight::GetTheta | ( |  | ) | const`[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetAllData | ( | const LightData * | Data | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetAmbientColor | ( | deColor * | AmbientColor | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetAttenuation | ( | long | Number,
|  | float | Value
| ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetDiffuseColor | ( | deColor * | DiffuseColor | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetDirection | ( | deVertex * | Direction | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetFallOff | ( | float | FallOff | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetID | ( | long | Number | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetLightType | ( | LightType_t | Type | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetPhi | ( | float | Phi | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetPosition | ( | deVertex * | Position | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetRange | ( | float | MaxRange | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetSpecularColor | ( | deColor * | SpecularColor | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetStatus | ( | deBoolean | On | ) | `[pure virtual]`

| Implemented in deRenderLight.

virtual deBoolean IdeRenderLight::SetTheta | ( | float | Theta | ) | `[pure virtual]`

| Implemented in deRenderLight.

The documentation for this class was generated from the following file:

- deRenderStates.hpp